## CREATE ROLE statement

The CREATE ROLE statement (create_role_statement) defines a role.

### Syntax

<create_role_statement> ::= CREATE ROLE <role_name> [IDENTIFIED BY <password>]

### Examples

SQL Tutorial, Roles

### Explanation

The current database user must be a database administrator (DBA user).

The role name must not be the same as the name of an existing role, database user, or user group.